Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom
Class AbstractText

    java.lang.Object
      org.apache.batik.dom.AbstractNode
          org.apache.batik.dom.AbstractChildNode
              org.apache.batik.dom.AbstractCharacterData
                  org.apache.batik.dom.AbstractText

All Implemented Interfaces:
  Serializable, NodeEventTarget, ExtendedNode, NodeXBL, XBLManagerData, CharacterData, EventTarget, Node, Text

Direct Known Subclasses:
  GenericCDATASection, GenericText

    public abstract class AbstractText

extends AbstractCharacterData
implements Text

This class implements the `Text` interface.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.batik.dom.AbstractCharacterData
`nodeValue`

Fields inherited from class org.apache.batik.dom.AbstractChildNode
`nextSibling, parentNode, previousSibling`

Fields inherited from class org.apache.batik.dom.AbstractNode
`DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, EMPTY_NODE_LIST, eventSupport, managerData, ownerDocument, userData, userDataHandlers`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`AbstractText()`

Method Summary
`protected abstract Text` | `createTextNode(String text)` Creates a text node of the current type.
`protected Node` | `getNextLogicallyAdjacentTextNode(Node n)` Get the next logically adjacent text node.
`protected Node` | `getPreviousLogicallyAdjacentTextNode(Node n)` Get the previous logically adjacent text node.
`String` | `getTextContent()` DOM: Implements `Node.getTextContent()`.
`String` | `getWholeText()` DOM: Implements `Text.getWholeText()`.
`boolean` | `isElementContentWhitespace()` DOM: Implements `Text.isElementContentWhitespace()`.
`Text` | `replaceWholeText(String s)` DOM: Implements `Text.replaceWholeText(String)`.
`Text` | `splitText(int offset)` DOM: Implements `Text.splitText(int)`.

Methods inherited from class org.apache.batik.dom.AbstractCharacterData
`appendData, checkOffsetCount, copyInto, deepCopyInto, deepExport, deleteData, export, getData, getLength, getNodeValue, insertData, replaceData, setData, setNodeValue, substringData`

Methods inherited from class org.apache.batik.dom.AbstractChildNode
`getNextSibling, getParentNode, getPreviousSibling, setNextSibling, setParentNode, setPreviousSibling`

Methods inherited from class org.apache.batik.dom.AbstractNode
`addEventListener, addEventListenerNS, appendChild, checkChildType, cloneNode, compareDocumentPosition, compareNamedNodeMaps, compareStrings, createDOMException, dispatchEvent, fireDOMCharacterDataModifiedEvent, fireDOMNodeInsertedIntoDocumentEvent, fireDOMNodeRemovedFromDocumentEvent, fireUserDataHandlers, getAttributes, getBaseURI, getBaseURI, getCascadedXMLBase, getChildNodes, getCurrentDocument, getEventSupport, getFeature, getFirstChild, getLastChild, getLocalName, getManagerData, getNamespaceURI, getOwnerDocument, getParentNodeEventTarget, getPrefix, getUserData, getXblBoundElement, getXblChildNodes, getXblDefinitions, getXblFirstChild, getXblFirstElementChild, getXblLastChild, getXblLastElementChild, getXblNextElementSibling, getXblNextSibling, getXblParentNode, getXblPreviousElementSibling, getXblPreviousSibling, getXblScopedChildNodes, getXblShadowTree, hasAttributes, hasChildNodes, hasEventListenerNS, initializeEventSupport, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, lookupPrefix, newNode, normalize, removeChild, removeEventListener, removeEventListenerNS, replaceChild, setManagerData, setNodeName, setOwnerDocument, setPrefix, setSpecified, setTextContent, setUserData, willTriggerNS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.CharacterData
`appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Methods inherited from interface org.apache.batik.dom.ExtendedNode
`isReadonly, setReadonly`

Constructor Detail

### AbstractText

    public AbstractText()

Method Detail

### splitText

    public Text splitText(int offset)
                   throws DOMException

  DOM: Implements `Text.splitText(int)`.

  Specified by:
    `splitText` in interface `Text`
  Throws:
    `DOMException`

### getPreviousLogicallyAdjacentTextNode

    protected Node getPreviousLogicallyAdjacentTextNode(Node n)

  Get the previous logically adjacent text node.

### getNextLogicallyAdjacentTextNode

    protected Node getNextLogicallyAdjacentTextNode(Node n)

  Get the next logically adjacent text node.

### getWholeText

    public String getWholeText()

  DOM: Implements `Text.getWholeText()`.

  Specified by:
    `getWholeText` in interface `Text`

### isElementContentWhitespace

    public boolean isElementContentWhitespace()

  DOM: Implements `Text.isElementContentWhitespace()`.

  Specified by:
    `isElementContentWhitespace` in interface `Text`

### replaceWholeText

    public Text replaceWholeText(String s)
                          throws DOMException

  DOM: Implements `Text.replaceWholeText(String)`.

  Specified by:
    `replaceWholeText` in interface `Text`
  Throws:
    `DOMException`

### getTextContent

    public String getTextContent()

  DOM: Implements `Node.getTextContent()`.

  Specified by:
    `getTextContent` in interface `Node`
  Overrides:
    `getTextContent` in class `AbstractNode`

### createTextNode

    protected abstract Text createTextNode(String text)

  Creates a text node of the current type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.